Index: src/sas/qtgui/MainWindow/GuiManager.py
===================================================================
--- src/sas/qtgui/MainWindow/GuiManager.py	(revision 5b144c6da3772c7f3a243d7540d60d506f7f931e)
+++ src/sas/qtgui/MainWindow/GuiManager.py	(revision 768387e00d5e9ad853fe870ebde7c8104e403412)
@@ -118,8 +118,7 @@
         self.dockedFilesWidget.setWidget(self.filesWidget)
 
-        # Disable maximize/minimize and close buttons
-        self.dockedFilesWidget.setFeatures(QDockWidget.NoDockWidgetFeatures)
-
-        #self._workspace.workspace.addDockWidget(Qt.LeftDockWidgetArea, self.dockedFilesWidget)
+        # Modify menu items on widget visibility change
+        self.dockedFilesWidget.visibilityChanged.connect(self.updateContextMenus)
+
         self._workspace.addDockWidget(Qt.LeftDockWidgetArea, self.dockedFilesWidget)
         self._workspace.resizeDocks([self.dockedFilesWidget], [305], Qt.Horizontal)
@@ -164,4 +163,13 @@
             logger.error("%s: could not load SasView models")
             logger.error(traceback.format_exc())
+
+    def updateContextMenus(self, visible=False):
+        """
+        Modify the View/Data Explorer menu item text on widget visibility
+        """
+        if visible:
+            self._workspace.actionHide_DataExplorer.setText("Hide Data Explorer")
+        else:
+            self._workspace.actionHide_DataExplorer.setText("Show Data Explorer")
 
     def statusBarSetup(self):
@@ -427,4 +435,5 @@
         self._workspace.actionStartup_Settings.triggered.connect(self.actionStartup_Settings)
         self._workspace.actionCategory_Manager.triggered.connect(self.actionCategory_Manager)
+        self._workspace.actionHide_DataExplorer.triggered.connect(self.actionHide_DataExplorer)
         # Tools
         self._workspace.actionData_Operation.triggered.connect(self.actionData_Operation)
@@ -617,4 +626,16 @@
         pass
 
+    def actionHide_DataExplorer(self):
+        """
+        Toggle Data Explorer vsibility
+        """
+        if self.dockedFilesWidget.isVisible():
+            #self._workspace.actionHide_DataExplorer.setText("Show Data Explorer")
+            self.dockedFilesWidget.setVisible(False)
+        else:
+            #self._workspace.actionHide_DataExplorer.setText("Hide Data Explorer")
+            self.dockedFilesWidget.setVisible(True)
+        pass
+
     def actionStartup_Settings(self):
         """
Index: src/sas/qtgui/MainWindow/UI/MainWindowUI.ui
===================================================================
--- src/sas/qtgui/MainWindow/UI/MainWindowUI.ui	(revision 33b3e4d0bcf23733eec68124dec3b4248012c8ea)
+++ src/sas/qtgui/MainWindow/UI/MainWindowUI.ui	(revision 768387e00d5e9ad853fe870ebde7c8104e403412)
@@ -74,4 +74,5 @@
     <addaction name="separator"/>
     <addaction name="actionHide_Toolbar"/>
+    <addaction name="actionHide_DataExplorer"/>
     <addaction name="separator"/>
     <addaction name="actionStartup_Settings"/>
@@ -552,4 +553,9 @@
    </property>
   </action>
+  <action name="actionHide_DataExplorer">
+   <property name="text">
+    <string>Hide Data Explorer</string>
+   </property>
+  </action>
  </widget>
  <resources/>
Index: src/sas/qtgui/MainWindow/UnitTesting/GuiManagerTest.py
===================================================================
--- src/sas/qtgui/MainWindow/UnitTesting/GuiManagerTest.py	(revision 144fe21c4befe53963fef06a9091c7d69d0b3b41)
+++ src/sas/qtgui/MainWindow/UnitTesting/GuiManagerTest.py	(revision 768387e00d5e9ad853fe870ebde7c8104e403412)
@@ -53,5 +53,4 @@
         self.assertIsInstance(self.manager.dockedFilesWidget, QDockWidget)
         self.assertIsInstance(self.manager.dockedFilesWidget.widget(), DataExplorerWindow)
-        self.assertEqual(self.manager.dockedFilesWidget.features(), QDockWidget.NoDockWidgetFeatures)
         self.assertEqual(self.manager._workspace.dockWidgetArea(self.manager.dockedFilesWidget), Qt.LeftDockWidgetArea)
 
Index: src/sas/qtgui/Perspectives/Fitting/FittingWidget.py
===================================================================
--- src/sas/qtgui/Perspectives/Fitting/FittingWidget.py	(revision 557fc4986b5386dbacaf9df7dc949c147e2619cd)
+++ src/sas/qtgui/Perspectives/Fitting/FittingWidget.py	(revision 86d320752de5002a8cde6933f80b5cf10ae34dc9)
@@ -28,4 +28,5 @@
 from sas.qtgui.Plotting.PlotterData import Data1D
 from sas.qtgui.Plotting.PlotterData import Data2D
+from sas.qtgui.Plotting.Plotter import PlotterWidget
 
 from sas.qtgui.Perspectives.Fitting.UI.FittingWidgetUI import Ui_FittingWidgetUI
@@ -2825,11 +2826,18 @@
         item4 = QtGui.QStandardItem()
 
-        self._model_model.appendRow([item1, item2, item3, item4])
+        # cell 4: SLD button
+        item5 = QtGui.QStandardItem()
+        button = QtWidgets.QPushButton()
+        button.setText("Show SLD Profile")
+
+        self._model_model.appendRow([item1, item2, item3, item4, item5])
 
         # Beautify the row:  span columns 2-4
         shell_row = self._model_model.rowCount()
         shell_index = self._model_model.index(shell_row-1, 1)
+        button_index = self._model_model.index(shell_row-1, 4)
 
         self.lstParams.setIndexWidget(shell_index, func)
+        self.lstParams.setIndexWidget(button_index, button)
         self._n_shells_row = shell_row - 1
 
@@ -2858,4 +2866,7 @@
         func.currentTextChanged.connect(self.modifyShellsInList)
 
+        # Respond to button press
+        button.clicked.connect(self.onShowSLDProfile)
+
         # Available range of shells displayed in the combobox
         func.addItems([str(i) for i in range(shell_min, shell_max+1)])
@@ -2877,5 +2888,5 @@
             index = 0
             logger.error("Multiplicity incorrect! Setting to 0")
-
+        self.kernel_module.multiplicity = index
         if remove_rows > 1:
             self._model_model.removeRows(first_row, remove_rows)
@@ -2903,4 +2914,31 @@
         self.setPolyModel()
         self.setMagneticModel()
+
+    def onShowSLDProfile(self):
+        """
+        Show a quick plot of SLD profile
+        """
+        # get profile data
+        x, y = self.kernel_module.getProfile()
+        y *= 1.0e6
+        profile_data = Data1D(x=x, y=y)
+        profile_data.name = "SLD"
+        profile_data.scale = 'linear'
+        profile_data.symbol = 'Line'
+        profile_data.hide_error = True
+        profile_data._xaxis = "R(\AA)"
+        profile_data._yaxis = "SLD(10^{-6}\AA^{-2})"
+
+        plotter = PlotterWidget(self, quickplot=True)
+        plotter.data = profile_data
+        plotter.showLegend = True
+        plotter.plot(hide_error=True, marker='-')
+
+        self.plot_widget = QtWidgets.QWidget()
+        self.plot_widget.setWindowTitle("Scattering Length Density Profile")
+        layout = QtWidgets.QVBoxLayout()
+        layout.addWidget(plotter)
+        self.plot_widget.setLayout(layout)
+        self.plot_widget.show()
 
     def setInteractiveElements(self, enabled=True):
